﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="motortirefilter.ascx.vb" Inherits="ASPNetPortal.motortirefilter" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<div id="AdvancedSearchFilter" class="page-section">
	<% if HeaderVisible then %>
    <div class="ps-search-title">
        <div class="ps-title">
            <span>MOTORSİKLETİNE UYGUN LASTİK ARA</span>
            <% if IsEditable then %>
            <a href="<%=EditNavigateUrl %>" class="moduleTitleEdit"><%=EditText %></a>
            <% end if %>
        </div>
    </div>
    <% end if %>

	<script type="text/javascript">
		function SearchTireFilter() {

			var width = document.getElementById('<%=ddlCountry.ClientID%>');
        	var height = document.getElementById('<%=ddlCity.ClientID%>');
        	var jant = document.getElementById('<%=ddlDistrict.ClientID%>');

        	var url2 = window.location.href + '?';

        	if (width != null) {
        		var widthId = width.options[width.selectedIndex].value;
        		//   url = url + 'YearId=' + yearId
        		url2 = UpdateQueryString('code1', widthId, url2);
        	}

        	if (height != null) {
        		var heightId = height.options[height.selectedIndex].value;
        		//     url = url + '&MarkId=' + markId
        		url2 = UpdateQueryString('code2', heightId.split("|")[0], url2);
        	}

        	if (jant != null) {
        		var jantId = jant.options[jant.selectedIndex].value;
        		//   url = url + '&ModelId=' + modelId
        		url2 = UpdateQueryString('code3', jantId, url2);
        	}

        	url2 = url2.replace("?&", "?");

        	var querry2 = url2.substring(url2.indexOf("?"));


        	document.location.href = '../store/AdvancedSearch.aspx' + querry2;

        }

        function UpdateQueryString(key, value, url) {
        	if (!url) url = window.location.href;
        	var re = new RegExp("([?&])" + key + "=.*?(&|#|$)(.*)", "gi"),
				hash;

        	if (re.test(url)) {
        		if (typeof value !== 'undefined' && value !== null)
        			return url.replace(re, '$1' + key + "=" + value + '$2$3');
        		else {
        			hash = url.split('#');
        			url = hash[0].replace(re, '$1$3').replace(/(&|\?)$/, '');
        			if (typeof hash[1] !== 'undefined' && hash[1] !== null)
        				url += '#' + hash[1];
        			return url;
        		}
        	}
        	else {
        		if (typeof value !== 'undefined' && value !== null) {
        			var separator = url.indexOf('?') !== -1 ? '&' : '?';
        			hash = url.split('#');
        			url = hash[0] + separator + key + '=' + value;
        			if (typeof hash[1] !== 'undefined' && hash[1] !== null)
        				url += '#' + hash[1];
        			return url;
        		}
        		else
        			return url;
        	}
        }

    </script>

            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always">
                <ContentTemplate>

                       <cc1:cascadingdropdown id="CascadingDropDown1" runat="server" targetcontrolid="ddlCountry"
                        category="CountryId" prompttext="-Genişlik Seçiniz-" servicepath="/services/specialcode.asmx" servicemethod="GetCountry" />
                    <cc1:cascadingdropdown id="CascadingDropDown2" runat="server" targetcontrolid="ddlCity"
                        parentcontrolid="ddlCountry" category="CityId" prompttext="-En Boy Oranı Seçiniz-" servicepath="/services/specialcode.asmx"
                        servicemethod="GetCity" />
                    <cc1:cascadingdropdown id="CascadingDropDown3" runat="server" targetcontrolid="ddlDistrict"
                        parentcontrolid="ddlCity" category="DistrictId" prompttext="-Jant Ebatı-" servicepath="/services/specialcode.asmx"
                        servicemethod="GetDistict" />
                    <div class="asf-content">
                        <ul class="clearFix">
                            <li>
                                <label>Genişlik :</label>
                                <div class="clearFix">
                                    <span><img alt="mlastik ara genişlik" src="<% =getThemePath() %>/images/website/genislik.png" /></span>
                                    <asp:DropDownList ID="ddlCountry" runat="server"></asp:DropDownList>
                                </div>
                            </li>
                            <li>
                                <label>En Boy Oranı :</label>
                                <div class="clearFix">
                                    <span><img alt="En Boy Oranı" src="<% =getThemePath() %>/images/website/en-boy-orani.png" /></span>
                                    <asp:DropDownList ID="ddlCity" runat="server"></asp:DropDownList>
                                </div>
                            </li>
                            <li>
                                <label>Jant Ebatı :</label>
                                <div class="clearFix">
                                    <span><img alt="Jant Ebatı" src="<% =getThemePath() %>/images/website/jant-ebati.png" /></span>
                                    <asp:DropDownList ID="ddlDistrict" runat="server"></asp:DropDownList>
                                </div>
                            </li>
                            <li class="asf-btn">
                                <label>&nbsp;</label>
                                <label>
                                
                                <input type="button" name="btn" class="button" onclick="SearchTireFilter()" value="LASTİK ARA" />
                                
                                </label>
                            </li>
                        </ul>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>

<script runat="server">
	Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
		If Request.RawUrl.ToLower()="/default.aspx" or Request.RawUrl.ToLower()="/" Then
			Me.Visible = True
		Else
			Me.Visible = False
		End If
	End Sub
</script>
<style type="text/css">
   #container #main {
	   width				: 100%;
	   background-color		: transparent;
	}
</style>